package com.github.wxiaoqi.security.admin.biz;

import com.alibaba.druid.sql.visitor.functions.If;
import com.github.wxiaoqi.security.admin.entity.AppStaffUser;
import com.github.wxiaoqi.security.admin.mapper.AppStaffUserMapper;
import com.github.wxiaoqi.security.common.biz.BaseBiz;
import org.springframework.stereotype.Service;
import tk.mybatis.mapper.entity.Example;

import java.util.Date;
import java.util.List;

/**
 * @author Administrator
 */
@Service
public class AppStaffUserBiz extends BaseBiz<AppStaffUserMapper, AppStaffUser> {


    public List<AppStaffUser> getAll(Integer id) {
        Example example = new Example(AppStaffUser.class);
        example.createCriteria().andEqualTo("suId",id).andEqualTo("isDel",0);
     return selectByExample(example);
    }

    @Override
    public int insertSelectiveRe(AppStaffUser appStaffUser) {
        appStaffUser.setCrtTime(new Date());
        return mapper.insertSelective(appStaffUser);
    }



    @Override
    public int updateSelectiveByIdRe(AppStaffUser appStaffUser) {
        appStaffUser.setUpdTime(new Date());
        return mapper.updateByPrimaryKeySelective(appStaffUser);
    }

    public AppStaffUser findOne(AppStaffUser appStaffUser) {
        Example example= new Example(AppStaffUser.class);
        Example.Criteria criteria = example.createCriteria();
        criteria.andEqualTo("isDel",0);
        if (appStaffUser.getId()!=null) {
            criteria.andEqualTo("id",appStaffUser.getId());
            return mapper.selectOneByExample(example);
        }

        if (appStaffUser.getPhone()!=null){
            criteria.andEqualTo("phone",appStaffUser.getPhone());
            return mapper.selectOneByExample(example);
        }

        return null;


    }
}
